--- lightbox2.module	2009-01-08 13:34:25.000000000 +0100
+++ lightbox2.module.linksunten	2009-02-08 15:00:06.000000000 +0100
@@ -1357,7 +1357,12 @@
   foreach ($trigger_sizes as $size) {
     if (isset($links['image_size_'. $size])) {
       $links['image_size_'. $size]['attributes']['rel'] = $rel;
-      $links['image_size_'. $size]['href'] = $node->images[$size];
+      if (variable_get('file_downloads', FILE_DOWNLOADS_PUBLIC) == 'FILE_DOWNLOADS_PUBLIC') {
+        $links['image_size_'. $size]['href'] = $node->images[$size];
+      }
+      else {
+        $links['image_size_'. $size]['href'] = 'system/files/images'.strrchr($node->images[$size], '/');
+      }
       unset($links['image_size_'. $size]['query']);
     }
   }
